Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155283 - CAN-2005-0136 ptrace corner cases on ia64
Summary: CAN-2005-0136 ptrace corner cases on ia64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Neil Horman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-18 19:19 UTC by Neil Horman
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-08 15:14:09 UTC


Attachments (Terms of Use)
patch to prevent ia64 ptrace crash (deleted)
2005-04-18 19:19 UTC, Neil Horman
no flags Details | Diff
test case to recreate bug (deleted)
2005-04-18 20:13 UTC, Neil Horman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:420 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 1 2005-06-08 04:00:00 UTC

Description Neil Horman 2005-04-18 19:19:07 UTC
+++ This bug was initially created as a clone of Bug #148862 +++

Read the description of this issue at 
http://www.gelato.unsw.edu.au/linux-ia64/0409/11073.html

A patch for 2.6 was committed:
http://lia64.bkbits.net:8080/linux-ia64-release-2.6.11/cset@41f2d1eePludGYyb1yOmGaW6Iois8Q

Impact looks like it is a unprivileged DoS at least, possibly more.

Currently embargoed, no date set.

Comment 1 Neil Horman 2005-04-18 19:19:08 UTC
Created attachment 113340 [details]
patch to prevent ia64 ptrace crash

Comment 2 Dave Jones 2005-04-18 19:44:10 UTC
Not needed for RHEL4. This bug only occurs if CONFIG_AUDIT=n


Comment 3 Neil Horman 2005-04-18 20:13:55 UTC
Created attachment 113343 [details]
test case to recreate bug

This bug is re-createable with the above test case (provided by intel) on all
of our RHEL4 kernels, GA through the cvs head.

Comment 10 Tim Powers 2005-06-08 15:14:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html



Note You need to log in before you can comment on or make changes to this bug.